GDBserver

Enumerations | Functions
linux-x86-tdesc.h File Reference

Go to the source code of this file.

## Enumerations
enum | x86_linux_tdesc { X86_TDESC_MMX = 0, X86_TDESC_SSE = 1, X86_TDESC_AVX = 2, X86_TDESC_MPX = 3, X86_TDESC_AVX_MPX = 4, X86_TDESC_AVX_AVX512 = 5, X86_TDESC_AVX_MPX_AVX512_PKU = 6, X86_TDESC_LAST = 7 }

## Functions
int | i386_get_ipa_tdesc_idx (const struct target_desc *tdesc)
const struct target_desc * | i386_get_ipa_tdesc (int idx)
const struct target_desc * | i386_linux_read_description (uint64_t xcr0)
void | initialize_low_tdesc ()

## Enumeration Type Documentation

## ◆ x86_linux_tdesc

enum x86_linux_tdesc

Enumerator
X86_TDESC_MMX |
X86_TDESC_SSE |
X86_TDESC_AVX |
X86_TDESC_MPX |
X86_TDESC_AVX_MPX |
X86_TDESC_AVX_AVX512 |
X86_TDESC_AVX_MPX_AVX512_PKU |
X86_TDESC_LAST |

Definition at line 25 of file linux-x86-tdesc.h.

## Function Documentation

## ◆ i386_get_ipa_tdesc()

const struct target_desc* i386_get_ipa_tdesc | ( | int | idx | ) |

## ◆ i386_get_ipa_tdesc_idx()

int i386_get_ipa_tdesc_idx | ( | const struct target_desc * | tdesc | ) |

Definition at line 142 of file linux-x86-tdesc.c.

References i386_tdescs, X86_TDESC_LAST, and X86_TDESC_MMX.

Referenced by x86_get_ipa_tdesc_idx().

## ◆ i386_linux_read_description()

const struct target_desc* i386_linux_read_description | ( | uint64_t | xcr0 | ) |

Definition at line 78 of file linux-x86-tdesc.c.

References i386_tdescs, init_target_desc(), X86_TDESC_LAST, and xcr0_to_tdesc_idx().

Referenced by get_ipa_tdesc(), selftests::tdesc::i386_tdesc_test(), initialize_low_arch(), initialize_low_tracepoint(), and x86_linux_read_description().

## ◆ initialize_low_tdesc()

void initialize_low_tdesc | ( |  | ) |

Definition at line 39 of file linux-aarch64-tdesc-selftest.c.

References selftests::tdesc::aarch64_tdesc_test(), selftests::tdesc::i386_tdesc_test(), init_registers_aarch64(), init_registers_amd64_linux(), init_registers_i386_avx_avx512_linux(), init_registers_i386_avx_linux(), init_registers_i386_avx_mpx_avx512_pku_linux(), init_registers_i386_avx_mpx_linux(), init_registers_i386_linux(), init_registers_i386_mmx_linux(), init_registers_i386_mpx_linux(), and selftests::register_test().

Referenced by initialize_low_arch().